<div
    fxlayout="row"
    fxLayoutAlign="space-between center">
    <div
        fxLayout="row"
        fxLayoutAlign="start center"
        fxLayoutGap="10px"
        class="{{ getClass() }}">
        <mat-icon>{{ data.icon }}</mat-icon>
        <span>{{ data.message }}</span>
    </div>
    <button
        mat-icon-button
        (click)="close()"
        [ngClass]="getClass()">
        <mat-icon>close</mat-icon>
    </button>
</div>
<mat-progress-bar
    *ngIf="_progressBar"
    class="progress-bar"
    mode="determinate"
    height="3"
    [value]="_progressBar.value">
</mat-progress-bar>
